﻿@using Toyota.Common.Web.Html;
@using Toyota.Common.Web.Html.Helper
@using Toyota.Common.Web.MVC;
@using Toyota.Common.Web.Credential;

@using DevExpress.Web;
@using DevExpress.Web.Mvc;

@using System.Web.UI.WebControls;

@using Portal.Controllers;
@using Portal.Models.MaterialSprints;

@Html.DevExpress().GridView(
    gridView =>
    {
        gridView.Name = "MaterialOrderInquryDataGrid";

        gridView.CallbackRouteValues = new { Controller = "MaterialOrderInquirySprints", Action = "PartialDetailMaterialOrderInquiry" };
        gridView.ClientSideEvents.BeginCallback = "OnOIDODViewBeginCallback";
        gridView.ClientSideEvents.EndCallback = "OnGridEndCallback";

        gridView.Styles.Header.HorizontalAlign = HorizontalAlign.Center;
        gridView.Width = Unit.Percentage(59.5);

        gridView.SettingsDetail.AllowOnlyOneMasterRowExpanded = false;
        gridView.SettingsPager.Position = System.Web.UI.WebControls.PagerPosition.TopAndBottom;


        gridView.Settings.VerticalScrollBarMode = ScrollBarMode.Hidden;
        gridView.Settings.HorizontalScrollBarMode = ScrollBarMode.Visible;

        gridView.SettingsPager.Position = PagerPosition.Bottom;
        gridView.SettingsPager.FirstPageButton.Visible = true;
        gridView.SettingsPager.LastPageButton.Visible = true;

        gridView.Settings.ShowFilterRow = true;
        gridView.Settings.ShowFilterRowMenu = true;
        gridView.CommandColumn.ClearFilterButton.Visible = true;

        gridView.SettingsPager.Position = System.Web.UI.WebControls.PagerPosition.Bottom;
        gridView.SettingsPager.FirstPageButton.Visible = true;
        gridView.SettingsPager.LastPageButton.Visible = true;
        gridView.SettingsPager.ShowNumericButtons = false;

        gridView.SettingsPager.PageSizeItemSettings.Visible = true;
        gridView.SettingsPager.PageSize = 5;
        gridView.SettingsPager.PageSizeItemSettings.Items = new string[] { "5", "10", "30", "50", "100" };
        gridView.SettingsPager.PageSizeItemSettings.Caption = "Page size";

        gridView.Columns.Add(column =>
        {
            column.FieldName = "ORDER_NO";
            column.Caption = "Order No";
            column.CellStyle.HorizontalAlign = HorizontalAlign.Center;
            column.Width = Unit.Pixel(150);

            column.SetDataItemTemplateContent(
                content =>
                {
                    GridViewDataItemTemplateContainer c = (GridViewDataItemTemplateContainer)content;
                    Html.DevExpress().HyperLink(
                        link =>
                        {
                            link.Name = "lnkView_" + content.VisibleIndex;
                            link.NavigateUrl = "javascript:void(0)";
                            link.Properties.Text = DataBinder.Eval(content.DataItem, "ORDER_NO").ToString();
                            link.ClientVisible = true;
                            link.Width = 100;
                            link.Properties.ClientSideEvents.Click = string.Format("function(s, e) {{ OnViewClick('{0}'); }}",
                                    DataBinder.Eval(content.DataItem, "ORDER_NO") == null || DataBinder.Eval(content.DataItem, "ARRIVAL_PLAN_DATE") == null ? "" : (DataBinder.Eval(content.DataItem, "ORDER_NO") + "|" + DataBinder.Eval(content.DataItem, "ARRIVAL_PLAN_DATE")).ToString());
                        }).Render();
                });

        });

        gridView.Columns.Add(
            column =>
            {
                column.FieldName = "SUPPLIER_CD";
                column.Caption = "Supplier";
                column.CellStyle.Wrap = DefaultBoolean.True;
                column.ColumnType = MVCxGridViewColumnType.TextBox;

                column.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                column.SetDataItemTemplateContent(
                    content =>
                    {
                        Html.DevExpress().Label(
                            label =>
                            {
                                label.Name = "OISPCSupplierLabel" + content.VisibleIndex;
                                label.ControlStyle.HorizontalAlign = HorizontalAlign.Center;
                                label.ControlStyle.VerticalAlign = VerticalAlign.Middle;
                                label.Text = (content as GridViewDataItemTemplateContainer).Text;
                            }).Render();
                    });
            });

        gridView.Columns.Add(
            column =>
            {
                column.Caption = "Supplier Name";
                column.FieldName = "SUPPLIER_NAME";

                column.Width = Unit.Pixel(250);
                column.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                column.CellStyle.VerticalAlign = VerticalAlign.Middle;

                column.SetDataItemTemplateContent(
                    content =>
                    {
                        Html.DevExpress().Label(
                            label =>
                            {
                                label.Name = "OISPCSupplierNameLabel" + content.VisibleIndex;
                                label.ControlStyle.HorizontalAlign = HorizontalAlign.Center;
                                label.ControlStyle.VerticalAlign = VerticalAlign.Middle;
                                label.Text = (content as GridViewDataItemTemplateContainer).Text;
                            }).Render();
                    });
            });

        //gridView.Columns.Add(
        //    column =>
        //    {
        //        column.FieldName = "MATERIAL_NO";
        //        column.Caption = "Material No";
        //        column.CellStyle.Wrap = DefaultBoolean.True;
        //        column.ColumnType = MVCxGridViewColumnType.TextBox;
        //        column.Width = Unit.Pixel(100);

        //        column.CellStyle.HorizontalAlign = HorizontalAlign.Center;
        //        column.CellStyle.VerticalAlign = VerticalAlign.Middle;
        //        column.SetDataItemTemplateContent(
        //            content =>
        //            {
        //                Html.DevExpress().Label(
        //                    label =>
        //                    {
        //                        label.Name = "OISPCMaterialNoLabel" + content.VisibleIndex;
        //                        label.ControlStyle.HorizontalAlign = HorizontalAlign.Center;
        //                        label.ControlStyle.VerticalAlign = VerticalAlign.Middle;
        //                        label.Text = (content as GridViewDataItemTemplateContainer).Text;
        //                    }).Render();
        //            });
        //    });

        //gridView.Columns.Add(
        //    column =>
        //    {
        //        column.FieldName = "SPEC";
        //        column.Caption = "Spec";

        //        column.Width = Unit.Pixel(250);
        //        column.CellStyle.HorizontalAlign = HorizontalAlign.Center;
        //        column.CellStyle.VerticalAlign = VerticalAlign.Middle;

        //        column.SetDataItemTemplateContent(
        //            content =>
        //            {
        //                Html.DevExpress().Label(
        //                    label =>
        //                    {
        //                        label.Name = "OISPCSpecLabel" + content.VisibleIndex;
        //                        label.ControlStyle.HorizontalAlign = HorizontalAlign.Center;
        //                        label.ControlStyle.VerticalAlign = VerticalAlign.Middle;
        //                        label.Text = (content as GridViewDataItemTemplateContainer).Text;
        //                    }).Render();
        //            });
        //    });

        //gridView.Columns.Add(
        //    column =>
        //    {
        //        column.FieldName = "SIZE";
        //        column.Caption = "Size";
        //        column.Width = Unit.Pixel(250);
        //        column.CellStyle.Wrap = DefaultBoolean.True;
        //        column.ColumnType = MVCxGridViewColumnType.TextBox;

        //        column.CellStyle.HorizontalAlign = HorizontalAlign.Center;
        //        column.CellStyle.VerticalAlign = VerticalAlign.Middle;
        //        column.SetDataItemTemplateContent(
        //            content =>
        //            {
        //                Html.DevExpress().Label(
        //                    label =>
        //                    {
        //                        label.Name = "OISPCSizeLabel" + content.VisibleIndex;
        //                        label.ControlStyle.HorizontalAlign = HorizontalAlign.Center;
        //                        label.ControlStyle.VerticalAlign = VerticalAlign.Middle;
        //                        label.Text = (content as GridViewDataItemTemplateContainer).Text;
        //                    }).Render();
        //            });
        //    });

        gridView.Columns.Add(
                col =>
                {
                    col.FieldName = "ARRIVAL_PLAN_DATE";
                    col.Caption = "Arrival Plan";
                    col.Width = Unit.Pixel(150);
                    col.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                    col.ColumnType = MVCxGridViewColumnType.DateEdit;
                    col.PropertiesEdit.DisplayFormatString = "dd.MM.yyyy hh:mm";
                });

        gridView.Columns.Add(
                col =>
                {
                    col.FieldName = "ACT_TTL_KBN";
                    col.Caption = "Total Kanban";
                    col.CellStyle.HorizontalAlign = HorizontalAlign.Right;
                    col.ColumnType = MVCxGridViewColumnType.SpinEdit;
                    //col.PropertiesEdit.DisplayFormatString = "{0:###,###}";
                });

    }).Bind(Model.GetModel<List<MaterialSprints>>()).GetHtml()


